KWGraphics
InnerClasses
USE_CLIPBOUNDS
Z
DEPTH_ALERT
I
ConstantValue
DEPTH_SYSTEM_PASSWORD
DEPTH_SYSTEM_STATUS_BAR
DEPTH_MENU
DEPTH_PASSWORD_SYMBOL_POPUP
DEPTH_SCREEN_SAVER
DEPTH_PICTURE_VIEWER
DEPTH_OVERLAY
DEPTH_USER_WINDOW
DEPTH_SCREEN
LOG
offscreenCounter
offscreenNum
GRAPHICALDEBUG
USE_KWGRAPHICS
wMgrInitFinished
graphics
Ljava/awt/Graphics;
graphicsDim
Ljava/awt/Dimension;
onScreenGraphics
bufferImage
Ljava/awt/image/BufferedImage;
hasUserDrawnContent
prevFont
Ljava/awt/Font;
prevColor
Ljava/awt/Color;
firstTimeCreated
updateRectList
Ljava/util/List;
useBackingStore
isModal
isWindowDrawn
doFlash
holdRefresh
depth
isVisible
title
Ljava/lang/String;
mListeners
disableRepaint
<init>
()V
Code
LineNumberTable
LocalVariableTable
Lcom/amazon/ebook/framework/gui/foundation/KWindow;
m
i
[Ljava/awt/GraphicsConfiguration;
Ljava/awt/Graphics2D;
Ljava/awt/GraphicsEnvironment;
Ljava/awt/GraphicsDevice;
Ljava/awt/GraphicsConfiguration;
Ljava/lang/Exception;
Exceptions
(Z)V
b
repaint
(J)V
J
(IIII)V
x
y
width
height
(JIIII)V
setBounds
(Ljava/awt/Rectangle;)V
Ljava/awt/Rectangle;
Deprecated
(II)Z
setVisible
Ljava/awt/Container;
()Z
()Ljava/lang/String;
(Ljava/lang/String;)V
(I)V
Ljava/awt/Component;
[Ljava/awt/Component;
d
()I
()[Ljava/awt/Rectangle;
[Ljava/awt/Rectangle;
getGraphics
()Ljava/awt/Graphics;
(Z)Ljava/awt/Graphics;
e
Lcom/amazon/ebook/framework/gui/GraphicsException;
g
()Ljava/awt/Image;
paint
(Ljava/awt/Graphics;)V
update
toString
l
Ljava/util/Iterator;
<clinit>
SourceFile
java/util/LinkedList

Width and/or Height of this window is 0.  Please call w.setBounds() or WMgr.add(w,x,y,w,h) before trying to use this window. Cannot create a window wihtout a width or height.
com/amazon/ebook/framework/gui/GraphicsException
initialize() aborted.  Allready created.  Call dispose() first.
gd = env.getDefaultScreenDevice(); returned NULL
java/lang/String
gc = gd.getDefaultConfiguration(); returned NULL
java/lang/StringBuffer
bufferImage = gc.createCompatibleImage() returned NULL width: 
 height: 
 Are we out of memory?
java/awt/Dimension
java/awt/Graphics2D
java/awt/Color
java/lang/Exception
Can not initialize KContainerAdapter.  Try calling setBounds to something smaller.
setBounds() painting old bounds 
setBounds() not painting 
java/awt/Rectangle
GraphicsException
Could not get memory for graphics.
Could not get memory for getBufferedImage.
reallyPaint(g)
reallyPaint(g)  WM has not finished initializing.  Exiting
Calling users drawWindow()
KContainer: 
KContainer: Abs coordinates: x 
 y 
 w 
 h 
KContainer: size: w 
KContainer: position: x 
java/awt/Font
Courier
 [
]
 KWindow#
 title: 
 class: 
 depth 
 isVisible=
wMInitializeFinished()
bounds change
KWindow
com/amazon/ebook/framework/gui/foundation/KWindow
java/awt/Container
getWidth
getHeight
java/awt/GraphicsEnvironment
getLocalGraphicsEnvironment
()Ljava/awt/GraphicsEnvironment;
getDefaultScreenDevice
()Ljava/awt/GraphicsDevice;
java/awt/GraphicsDevice
getDefaultConfiguration
()Ljava/awt/GraphicsConfiguration;
getConfigurations
()[Ljava/awt/GraphicsConfiguration;
java/awt/GraphicsConfiguration
getColorModel
()Ljava/awt/image/ColorModel;
java/awt/image/ColorModel
hasAlpha
createCompatibleImage
(II)Ljava/awt/image/BufferedImage;
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
(I)Ljava/lang/StringBuffer;
java/awt/image/BufferedImage
(II)V
white
java/awt/Graphics
setColor
(Ljava/awt/Color;)V
fillRect
create
java/awt/AlphaComposite
Src
Ljava/awt/AlphaComposite;
setComposite
(Ljava/awt/Composite;)V
black
setFont
(Ljava/awt/Font;)V
getClipBounds
()Ljava/awt/Rectangle;
setClip
(Ljava/awt/Shape;)V
getColor
()Ljava/awt/Color;
getFont
()Ljava/awt/Font;
getBounds
(Lcom/amazon/ebook/framework/gui/foundation/KWindow;)Z
(Ljava/lang/Object;)Ljava/lang/StringBuffer;
()Ljava/awt/Container;
getParent
(Ljava/awt/Container;Z)V
getComponents
()[Ljava/awt/Component;
remove
(Ljava/awt/Component;)V
(Lcom/amazon/ebook/framework/gui/foundation/KWindow;)I
add
(Ljava/awt/Component;I)Ljava/awt/Component;
java/util/List
(Ljava/lang/Object;)Z
clear
size
toArray
([Ljava/lang/Object;)[Ljava/lang/Object;
(IIII)Ljava/awt/Graphics;
(Ljava/lang/String;Ljava/lang/Throwable;)V
(Lcom/amazon/ebook/framework/gui/foundation/KWindow;Ljava/awt/Graphics;)V
getClip
()Ljava/awt/Shape;
contains
(Ljava/awt/Rectangle;)Z
getSize
()Ljava/awt/Dimension;
equals
java/lang/Object
getClass
()Ljava/lang/Class;
java/lang/Class
lastIndexOf
(I)I
length
substring
(II)Ljava/lang/String;
getX
getY
(Ljava/lang/String;II)V
drawString
(Z)Ljava/lang/StringBuffer;
iterator
()Ljava/util/Iterator;
java/util/Iterator
hasNext
next
()Ljava/lang/Object;
java/lang/Boolean
getBoolean
(Ljava/lang/String;)Z
Lcom/amazon/ebook/util/b/e;
a
k
Lcom/amazon/ebook/framework/gui/foundation/fb;
K
Lcom/amazon/ebook/framework/gui/event/g;
L
(Lcom/amazon/ebook/framework/gui/event/g;)V
A
M
n
C
N
o
O
D
p
P
B
q
H
Q
E
r
f
R
F
s
pbb
(Ljava/lang/String;)Lcom/amazon/ebook/util/b/e;
c
()Lcom/amazon/ebook/framework/gui/foundation/fb;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
Lcom/amazon/ebook/util/b/i;
com/amazon/ebook/framework/gui/foundation/fb
com/amazon/ebook/util/b/h
com/amazon/ebook/util/b/e
com/amazon/ebook/framework/gui/event/g
com/amazon/ebook/framework/gui/foundation/cd
